I'm having trouble getting stanfordparser to work under Snow Leopard. It
appears to be an rjb issue. I tried the approach suggested at this post
without success:
http://www.foraker.com/resolving-issues-with-rjb-and-rvm-caused-by-snow-leopard-java-update/
The error I'm getting is the following:

ruby-1.9.2-p180 :001 > require 'stanfordparser'
 => true
ruby-1.9.2-p180 :002 > preproc =
StanfordParser::DocumentPreprocessor.new
RuntimeError: Constructor not found
        from
/Users/boris/.rvm/gems/ruby-1.9.2-p180/gems/stanfordparser-2.2.0/lib/java_object.rb:40:in
`new'
        from
/Users/boris/.rvm/gems/ruby-1.9.2-p180/gems/stanfordparser-2.2.0/lib/java_object.rb:40:in
`initialize'
        from
/Users/boris/.rvm/gems/ruby-1.9.2-p180/gems/stanfordparser-2.2.0/lib/stanfordparser.rb:239:in
`initialize'
        from (irb):2:in `new'
        from (irb):2
        from /Users/boris/.rvm/rubies/ruby-1.9.2-p180/bin/irb:16:in
`<main>'


If I don't follow the approach suggested at the above post, I get a
different error:

ruby-1.9.2-p180 :001 > require 'stanfordparser'
[BUG] cross-thread violation on rb_gc()
(null)

Abort trap


Any ideas?

-- 
Posted via http://www.ruby-forum.com/.